# Migrating Coins

This guide covers how to migrate graduated coins to Liquidity pool (DEX) using the **Basememe Factory** contract.

## Migrate Graduated Coin

To migrate a graduated coin, you send a transaction to call the `migrate` method.

### Method Interface

```solidity
// solidity interface 

/// @notice Migrate a graduated token to Liquidity pool (DEX)
///
/// @param _token The graduated token address

function migrate(address _token) external nonReentrant;
```

### Events

Successful migration will emit a `Migrated` event.

```solidity
/// @notice emitted when a graduated token is migrated
///
/// @param addr The token contract address
event Migrated(
    address token,
    uint256 tokenId,
    uint128 liquidity,
    uint256 amount0,
    uint256 amount1,
    uint256 migrationFee
);
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.base.meme/for-developers/migrating-coins.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
